### Method

# Vips Image shrinkh

#### Declaration [src]

    int
    vips_shrinkh (
      VipsImage* in,
      VipsImage** out,
      int hshrink,
      ...
    )

#### Description [src]

Shrink `in` horizontally by an integer factor. Each pixel in the output is the average of the corresponding line of `hshrink` pixels in the input.

This is a very low-level operation: see `vips_resize()` for a more convenient way to resize images.

This operation does not change xres or yres. The image resolution needs to be updated by the application.

Optional arguments

- `ceil`: `gboolean`, round-up output dimensions

See also

`vips_shrinkv()`, `vips_shrink()`, `vips_resize()`, `vips_affine()`.

This method is not directly available to language bindings.

#### Parameters

`out`

  Type: `VipsImage`

  Output image.

  The argument will be set by the function.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.

`hshrink`

  Type: `int`

  Horizontal shrink.

`...`

  Type: ``

  `NULL`-terminated list of optional named arguments.

#### Return value

Type: `int`

0 on success, -1 on error.